/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
html {
  scroll-behavior: smooth;
}

html, body {
    overflow-x: hidden;
}

.newsletter-form {
    display: flex;
    align-items: flex-start;
    WIDTH: 572px;
    margin: 0 auto;
    justify-content: center;
    gap: 20px;
}

.newsletter-form .gform-footer.gform_footer {
    margin: 0;
}

.newsletter-form .gform-body.gform_body {
    width: 100%;
    max-width: 348px;
}

.newsletter-form .gform-body.gform_body input {
    background: rgba(250, 248, 245, 0.10);
    border: 1.278px solid rgba(250, 248, 245, 0.30);
    border-radius: 12.782px;
    padding: 18px;
    color: rgba(250, 248, 245, 0.50);
    min-height: 50px !important;
}

.newsletter-form .gform-body.gform_body input:focus{
    outline: 1px solid #b6a478;
}

p.gform_required_legend {
    display: none;
}

.contact-form .gform-body label {
    color: #0D3338;
    font-family: Inter;
    font-size: 13.3px;
    font-style: normal;
    font-weight: 500;
    line-height: 14px;
}

.contact-form .gform-body label span.gfield_required {
    color: #0D3338;
}

.contact-form .gform-body .gform_fields {
    row-gap: 29px !important;
}

.contact-form .gform-body input, .contact-form .gform-body select, .contact-form .gform-body textarea {
    border-radius: 10px;
    border: 1px solid #E0DDD1;
    background: #FAF8F5;
    color: #527A7A;
    font-family: Inter;
    font-size: 12.5px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    line-height: 37px;
}

.contact-form .gform-body input:focus, .contact-form .gform-body select:focus, .contact-form .gform-body textarea:focus{
    outline: 0;
}

.contact-form .gform-body textarea {
    padding: 9px 13px !important;
    min-height: 118px !important;
    line-height: 20px;
    resize: none;
}

.contact-form .gform-footer input{
    width: 100% !important;
    border-radius: 12px !important;
    background: #0D3338 !important;
    box-shadow: 0 8px 24px -8px rgba(14, 88, 88, 0.15) !important;
    font-family: Inter !important;
    font-size: 15.3px !important;
    font-weight: 600 !important;
    line-height: 24px !important;
    padding: 10px !important;
}

.contact-form .gform-footer input:hover{
    background: #bba47c !important;
}

.newsletter-form  .gform-footer.gform_footer input {
    width: 100% !important;
    min-height: 51px !important;
    color: #193434 !important;
    background: #B6A478 !important;
    border-radius: 15.339px !important;
    box-shadow: 0 10.226px 30.677px -10.226px rgba(14, 88, 88, 0.15) !important;
    font-family: Inter !important;
    font-size: 16.406px !important;
    font-weight: 600 !important;
    padding-right: 40px !important;
}

.newsletter-form .gform-footer.gform_footer {
    width: 170px  !important;
    position: relative;
}

.newsletter-form .gform-footer.gform_footer input:hover {
    background-color: #0D3338 !important;
    color: #fff !important;
}

.gform-theme--framework .gform_validation_errors {
    display: none;
}

.imam-filters-wrap {
    display: flex;
    gap: 16px;
}

.filter-title {
    display: flex;
    align-items: center;
    gap: 11px;
}

.imam-filters-wrap select {
    width: 225px;
    border-radius: 14.063px;
    border: 1.406px solid #B6A478;
    background: #FAF8F5;
    color: #0D3338;
    text-align: center;
    font-family: Inter;
    font-size: 16px;
    font-weight: 400;
    line-height: 28.125px;
    padding: 10px 20px !important;
    -webkit-appearance: none;
    appearance: none;
}

.invisible-number span.elementor-counter-number {
    display: none;
}

.member-form .gform-footer input {
    background-color: #B6A478 !important;
    color: #193434 !important;
}

.member-form .gform-footer input:hover {
    background-color: #193434 !important;
    color: #fff !important;
}

.imam-filters input {
    border-radius: 14.063px;
    border: 1.406px solid #B6A478;
    background: #FAF8F5;
    margin-bottom: 20px;
    color: #527A7A;
    font-family: Inter;
    font-size: 16px;
    font-weight: 400;
    padding: 17px 40px;
}

.filter-title p {
    margin: 0;
    color: #527A7A;
    font-family: Inter;
    font-size: 18px;
    font-weight: 500;
    line-height: 28.125px;
}

.newsletter-form .gform-footer.gform_footer:after {
    content: "";
    position: absolute;
    background-image: url('/wp-content/uploads/2026/03/SVG.png');
    width: 100%;
    height: 20px;
    background-repeat: no-repeat;
    background-position: 85% 100%;
    top: 50%;
    transform: translateY(-50%);
}


.newsletter-form .gform-footer.gform_footer:hover:after{
    filter: brightness(0) invert(1);
}

.event-wrapper {
    width: 100%;
}

.event-card {
    display: flex;
    background-color: #F5F4EF;
    border: 2px solid #0D3338;
    border-radius: 16px;
    margin-bottom: 50px;
}

.event-card:last-child {
    margin-bottom: 0;
}

.event-card .event-img {
    width: 40%;
    display: flex;
}

.event-card .event-content {
    width: 60%;
    padding: 25px;
    display: flex;
    flex-direction: column;
    justify-content: space-between
}

.event-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.event-card .event-img img {
    width: 100%;
    border-top-left-radius: 16px;
    border-bottom-left-radius: 16px;
    object-fit: cover;
}

.event-top h3 {
    background: #B6A478;
    font-size: 15px;
    font-family: 'Inter';
    color: #0D3338;
    text-transform: capitalize;
    font-weight: 700;
    padding: 8px 20px;
    border-radius: 50px;
}

.event-top h6 {
    color: #0D3338;
    font-size: 14px;
    font-family: 'Inter';
}

.event-card .event-content h2 {
    font-size: 32px;
    font-family: 'Playfair Display';
    font-weight: 700;
    color: #0D3338;
}

.event-underlist p {
    display: flex;
    align-items: center;
    gap: 10px;
    font-family: 'Inter';
    color: #527A7A;
}

.event-card .event-mid-content > p {
    color: #527A7A;
    font-family: 'Inter';
}

.event-card .event-content .event-speaker p {
    color: #527A7A;
    margin-bottom: 5px;
}

.event-card .event-content .event-speaker h6 {
    color: #193434;
    font-family: 'Inter';
}

.event-card .event_buttons {
    display: flex;
    gap: 20px;
}

.event-card .event_buttons a.register-button {
    background-color: #B6A478;
    padding: 10px 20px;
    color: #0D3338;
    font-family: 'Inter';
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    border-radius: 10px;
}

.event-card .event_buttons a.detail-button {
    padding: 7px 20px;
    color: #0D3338;
    border: 2px solid #0D3338;
    font-family: 'Inter';
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    border-radius: 10px;
    display: flex;
    align-items: center;
    gap: 10px;
}

/*------------------
-----Responsive-----
--------------------*/
@media screen and (max-width: 1023px) {
	nav.elementor-nav-menu--dropdown.elementor-nav-menu__container {
        position: absolute;
        z-index: 22;
        margin-top: 40px;
    }
}

@media screen and (max-width: 768px) {
	.elementor-custom-embed-play svg {
		width: 50px;
	}
	
	.event-card {
        flex-flow: column;
    }
    
    .event-card .event-img {
        width: 100%;
    }
    
    .event-card .event-img img {
        border-top-left-radius: 16px;
        border-top-right-radius: 16px;
        border-bottom-left-radius: 0;
    }
    
    .event-card .event-content {
        width: 100%;
    }
}

@media only screen and (max-width: 767px) {
	.event-card .event-content {
        padding: 15px;
    }
    
    .event-card .event-content h2 {
        font-size: 22px;
    }
    
    .event-top h6 {
        font-size: 12px;
    }
    
    .event-top h3 {
        font-size: 13px;
    }
    
    .event-underlist p {
        font-size: 14px;
    }
    
    .event-card .event-mid-content > p {
        font-size: 14px;
    }
    
    .event-card .event-content .event-speaker h6 {
        font-size: 13px;
    }
    
    .event-card .event_buttons a.register-button {
        font-size: 14px;
    }
    
    .event-card .event_buttons a.detail-button {
        font-size: 14px;
    }
	
}